Subject: Bug#525: [X2Go-Dev] Bug#525: x2goclient.exe shows "arrow and hourglass" cursor for 5 seconds during startup

From: Stefan Baur <[email-masked]>
Date: Fri, 04 Jul 2014 11:15:22 +0200

Am 04.07.2014 10:21, schrieb Stefan Baur:
>> 4.0.2.1-pre01 now exhibits a similar, slightly annoying behavior:
>>
>> When run by double-click from a folder view, it displays an "arrow and
>> hourglass" cursor on Windows 7 x64 for approximately 5 seconds during
>> startup.
>>
>> It does not happen when the same x2goclient.exe is run from the
>> commandline. There, response is instantaneous like in 4.0.2.0 and in the
>> nightlies up to 2014-06-11.
>>
>> I have no explanation for that effect, but maybe one of our devs can
>> shed some light on this?
> 
> To either confirm or rule out that Alex' recent changes to x2goclient
> introduced this behavior, Mike#2 has agreed to provide a special test
> build of x2goclient with
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=76777fca627f287f8d721023a44646d13e13accb
> 
> 
> (Alex' change that broke the nightlies) and
> 
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=093543e62d00d8b0dcfb36798fa48bd8757fb17e
> (Alex' fix to make the nightlies work again)
> 
> removed.
> 
> If this fixes the issue, Mike#1 has already announced that he will
> revert those changes from the code for the 4.0.2.1 release.
> 
> I volunteer as a tribute, err, as a guinea pig for the test build.

Okay, Mike#2 provided the build
(http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.2.1/x2goclient-4.0.2.1-pre03-setup.exe),
I tested it, bug is gone.
So we have identified the two commits that introduced it.

@Mike#1:
1) Please remove them from the official tree for 4.0.2.1, as per your
previous offer to do so.

2) Please discuss the proper way to re-introduce them in a way that
doesn't influence startup time negatively with Alex and possibly Mihai.
Mihai seemed to have a few suggestions as to how to solve the issue - me
being anything but a C/C++ expert, I can't comment on their quality,
though my gut feeling is that he may be right - after all, he has proven
to be an able coder previously (Cowbytes and Endians ...).

-Stefan